Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deepfs.fsml
Enum FileType

    java.lang.Object
      java.lang.Enum<FileType>
          org.deepfs.fsml.FileType

All Implemented Interfaces:
  Serializable, Comparable<FileType>

    public enum FileType

extends Enum<FileType>

Available file types.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Bastian Lemke

Enum Constant Summary
`ARCHIVE` Archive resource (e.g.
`AUDIO` Audio resource (e.g.
`BINARY` Binary resource.
`CALENDAR` Calendar resource (e.g.
`CONTACT` Contact resource (e.g.
`DOCUMENT` Document resource (e.g.
`MAP` Map resource (e.g.
`MESSAGE` Message resource (e.g. email).
`PICTURE` Picture resource (e.g.
`PRESENTATION` Presentation resource (e.g.
`SCRIPT` Script.
`SOURCE_CODE` Source code.
`TEXT` Text(-based) resource (e.g. plain text file).
`UNKNOWN_TYPE` Unknown resource type.
`VIDEO` Video resource (e.g.
`WEBSITE` Website.
`XML` XML(-based) resource.

Method Summary
`String` | `toString()`
`static FileType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FileType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ARCHIVE

    public static final FileType ARCHIVE

  Archive resource (e.g. ZIP file).

### AUDIO

    public static final FileType AUDIO

  Audio resource (e.g. MP3 file).

### BINARY

    public static final FileType BINARY

  Binary resource.

### CALENDAR

    public static final FileType CALENDAR

  Calendar resource (e.g. ICS file).

### CONTACT

    public static final FileType CONTACT

  Contact resource (e.g. VCF file).

### DOCUMENT

    public static final FileType DOCUMENT

  Document resource (e.g. DOC or PDF file).

### MAP

    public static final FileType MAP

  Map resource (e.g. KML or GPX file).

### MESSAGE

    public static final FileType MESSAGE

  Message resource (e.g. email).

### PICTURE

    public static final FileType PICTURE

  Picture resource (e.g. JPG file).

### PRESENTATION

    public static final FileType PRESENTATION

  Presentation resource (e.g. PPT file).

### SCRIPT

    public static final FileType SCRIPT

  Script.

### SOURCE_CODE

    public static final FileType SOURCE_CODE

  Source code.

### TEXT

    public static final FileType TEXT

  Text(-based) resource (e.g. plain text file).

### UNKNOWN_TYPE

    public static final FileType UNKNOWN_TYPE

  Unknown resource type.

### VIDEO

    public static final FileType VIDEO

  Video resource (e.g. MPEG file).

### WEBSITE

    public static final FileType WEBSITE

  Website.

### XML

    public static final FileType XML

  XML(-based) resource.

Method Detail

### values

    public static FileType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FileType c : FileType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FileType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<FileType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD